Print

Print


Michael,


Thanks for the suggestion.  That worked, but now I get the following error message after typing "./fsleyes":


WARNING          __init__.py  595: create          - GLContext callback function raised RuntimeError: OpenGL 1.4 or newer is required (detected version: 1.2
Traceback (most recent call last):
  File "fsleyes/gl/__init__.py", line 589, in create
  File "fsleyes/main.py", line 377, in realCallback
  File "fsleyes/gl/__init__.py", line 314, in bootstrap
RuntimeError: OpenGL 1.4 or newer is required (detected version: 1.2

Have you or anyone seen this message? If so, what was the solution?


Thanks.


d.m.


From: FSL - FMRIB's Software Library <[log in to unmask]> on behalf of Michael Firbank <[log in to unmask]>
Sent: Friday, July 7, 2017 5:16:57 PM
To: [log in to unmask]
Subject: Re: [FSL] fsleyes installation in Ubuntu 14.04
 

Hello


You can unzip the folder wherever you like. Probably the $FSLDIR/bin is not the best place.

In any case the fsleyes file needs to be in a directory on your path.

if you need to see what that is, type

echo $PATH 


If you unzipped it in the $FSLDIR/bin directory, the actual executable will be in

$FSLDIR/bin/FSLeyes

if you cd to that directory and type

./fsleyes

then it should start. 


you can create a link to the fsleyes program by changing directory to $FSLDIR/bin and then

ln -s FSLEYESDIRECTORY/fsleyes fsleyes


where FSLEYESDIRECTORY is the directory where fsleyes is. so you probably want

ln -s $FSLDIR/bin/FSLeyes/fsleyes  fsleyes


Hope that helps


Michael



From: FSL - FMRIB's Software Library <[log in to unmask]> on behalf of d m <[log in to unmask]>
Sent: 07 July 2017 18:25
To: [log in to unmask]
Subject: Re: [FSL] fsleyes installation in Ubuntu 14.04
 

Michael,


Thanks for the reply.


I'm still somewhat confused. Where exactly do I unzip the folder?


Is it the $FSLDIR/bin/ directory?


If so, I added the folder and nothing changed. 


Are there any further steps to complete before using fsleyes? Is fslview no longer usable by adding the FSLeyes folder?


One thing I noticed, the neurodebian page only shows FSLeyes listed for 16.04 and 17.04. Nothing for 14.04? Maybe that is the issue?


http://neuro.debian.net/pkgs/fsleyes.html?highlight=fsleyes


Thanks.


d.m.


From: FSL - FMRIB's Software Library <[log in to unmask]> on behalf of Michael Firbank <[log in to unmask]>
Sent: Friday, July 7, 2017 10:10:29 AM
To: [log in to unmask]
Subject: Re: [FSL] fsleyes installation in Ubuntu 14.04
 

Hello

 

For 16.04 I just downloaded and unzipped the relevant  file from

 

https://fsl.fmrib.ox.ac.uk/fsl/fslwiki/FSLeyes

 

seems to work ok.

 

Michael

 

From: FSL - FMRIB's Software Library [mailto:[log in to unmask]] On Behalf Of d m
Sent: 07 July 2017 15:03
To: [log in to unmask]
Subject: [FSL] fsleyes installation in Ubuntu 14.04

 

Hello,

 

How does one install fsleyes with Ubuntu 14.04? We have installed fsl using neurodebian.

 

Thanks.

 

d.m.